petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatHermitianTranspose

Computes an in-place or out-of-place transpose of a matrix in complex conjugate.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHermitianTranspose(Mat mat,MatReuse reuse,Mat *B)

Collective on Mat Many br

### Input Parameter

| mat | - the matrix to transpose and complex conjugate Many br
| reuse | - store the transpose matrix in the provided B Many br

### Output Parameters

B -the Hermitian Many br

### Notes

If you pass in &mat for B the Hermitian will be done in place Many br

Many br

### See Also

MatTranspose(), MatMultTranspose(), MatMultTransposeAdd(), MatIsTranspose(), MatReuse

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages